HubstaffDeveloper Portal

Teams

Organize members into teams within an organization

List organization teams

GET/v2/organizations/{organization_id}/teams

Returns a collection of teams for the given organization.

Parameters

NameInTypeDescription
organization_idrequired
pathinteger (int32)
page_start_id
queryinteger (int32)
The page start ID.
page_limit
queryinteger (int32)
The default page size

Responses

200A list of teams
object
  • teamsarray
    array<object>
    items
    object

    Team model

    • idinteger required

      Team ID

    • namestring required

      Team name

    • created_atstring required

      When the record was created

    • updated_atstring required

      When the record was last updated

    • metadataobject required

      Metadata attached to the team

      object

      Metadata attached to the team

    • lead_optionsobject

      Lead options

      object

      Lead options

      • approve_timesheetsboolean required

        Team leads can approve timesheets for team members

      • notifications_for_timesheets_only_leadsboolean required

        Only team leeds receive timesheet notifications. Requires approve_timesheets enabled.

      • approve_time_offboolean required

        Team leads can approve time off for team members

      • approve_manual_timeboolean required

        Team leads can approve manual time added for team members

      • receive_manual_time_notificationboolean required

        Only team leads receive manual time notifications. Requires approve_manual_time enabled.

      • notifications_for_time_off_only_leadsboolean required

        Only team leads receive time off notifications. Requires approve_time_off enabled.

      • schedule_shiftsboolean required

        Team leads can schedule shifts for team members

      • notifications_for_schedules_only_leadsboolean required

        Only team leads receive notifications for shifts. Requires schedule_shifts enabled.

      • notifications_for_limitsboolean required

        Team leads receive weekly and daily limit notifications for team members

      • notifications_for_limits_only_leadsboolean required

        Team lead only receive weekly and daily limit notifications. Requires notifications_for_limits enabled.

      • notifications_work_breaksboolean required

        Team leads receive work break notifications for team members

      • notifications_work_breaks_only_leadsboolean required

        Only team leads receive work break notifications. Requires notifications_work_breaks enabled.

      • manage_team_projectsboolean required

        Team leads can create team projects

      • manage_team_membersboolean required

        Team leads can edit members and their roles

      • invite_members_to_organizationboolean required

        Team leads can invite new members to the organization

      • notifications_for_job_sitesboolean required

        Team leads receive job site notifications

      • notifications_for_job_sites_only_leadsboolean required

        Only team leads receive job site notifications. Requires notifications_for_job_sites enabled.

      • others_screenshotsboolean required

        View screenshots/activities for other members

      • manage_billingboolean required

        Manage financials

Example response
json
{
  "teams": [
    {
      "id": 0,
      "name": "string",
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z",
      "metadata": {},
      "lead_options": {
        "approve_timesheets": false,
        "notifications_for_timesheets_only_leads": false,
        "approve_time_off": false,
        "approve_manual_time": false,
        "receive_manual_time_notification": false,
        "notifications_for_time_off_only_leads": false,
        "schedule_shifts": false,
        "notifications_for_schedules_only_leads": false,
        "notifications_for_limits": false,
        "notifications_for_limits_only_leads": false,
        "notifications_work_breaks": false,
        "notifications_work_breaks_only_leads": false,
        "manage_team_projects": false,
        "manage_team_members": false,
        "invite_members_to_organization": false,
        "notifications_for_job_sites": false,
        "notifications_for_job_sites_only_leads": false,
        "others_screenshots": false,
        "manage_billing": false
      }
    }
  ]
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

Create team

POST/v2/organizations/{organization_id}/teams

Creates a new team.

Returns the created team.

Only name is required. Members can optionally be added with roles: viewer, user, or manager.

Note: When a member lead is set to true, the role is forced to manager.

Parameters

NameInTypeDescription
organization_idrequired
pathinteger (int32)

Request body

object

Create team

  • namestring required

    Team name

  • metadataarray

    Team metadata. See the update_metadata endpoint

    array<object>

    Team metadata. See the update_metadata endpoint

    items
    object
    • keystring required

      The metadata key

    • valuestring required

      The value for the metadata key

  • membersarray
    array<object>
    items
    object
    • user_idinteger required

      User ID

    • rolestring required

      Role for the user on associated projects

    • leadboolean

      Specify that the user is a team lead or not (default false)

  • projectsarray
    array<object>
    items
    object
    • project_idinteger required

      List of project to add to the team

  • lead_optionsobject
    object
    • approve_timesheetsboolean

      Team leads can approve timesheets for team members

    • notifications_for_timesheets_only_leadsboolean

      Only team leeds receive timesheet notifications. Requires approve_timesheets enabled.

    • approve_time_offboolean

      Team leads can approve time off for team members

    • approve_manual_timeboolean

      Team leads can approve manual time added for team members

    • receive_manual_time_notificationboolean

      Only team leads receive manual time notifications. Requires approve_manual_time enabled.

    • notifications_for_time_off_only_leadsboolean

      Only team leads receive time off notifications. Requires approve_time_off enabled.

    • schedule_shiftsboolean

      Team leads can schedule shifts for team members

    • notifications_for_schedules_only_leadsboolean

      Only team leads receive notifications for shifts. Requires schedule_shifts enabled.

    • notifications_for_limitsboolean

      Team leads receive weekly and daily limit notifications for team members

    • notifications_for_limits_only_leadsboolean

      Team lead only receive weekly and daily limit notifications. Requires notifications_for_limits enabled.

    • notifications_work_breaksboolean

      Team leads receive work break notifications for team members

    • notifications_work_breaks_only_leadsboolean

      Only team leads receive work break notifications. Requires notifications_work_breaks enabled.

    • manage_team_projectsboolean

      Team leads can create team projects

    • manage_team_membersboolean

      Team leads can edit members and their roles

    • invite_members_to_organizationboolean

      Team leads can invite new members to the organization

    • notifications_for_job_sitesboolean

      Team leads receive job site notifications

    • notifications_for_job_sites_only_leadsboolean

      Only team leads receive job site notifications. Requires notifications_for_job_sites enabled.

    • others_screenshotsboolean

      View screenshots/activities for other members

    • manage_billingboolean

      Manage financials

Responses

201A team
object
  • teamobject
    object

    Team model

    • idinteger required

      Team ID

    • namestring required

      Team name

    • created_atstring required

      When the record was created

    • updated_atstring required

      When the record was last updated

    • metadataobject required

      Metadata attached to the team

      object

      Metadata attached to the team

    • lead_optionsobject

      Lead options

      object

      Lead options

      • approve_timesheetsboolean required

        Team leads can approve timesheets for team members

      • notifications_for_timesheets_only_leadsboolean required

        Only team leeds receive timesheet notifications. Requires approve_timesheets enabled.

      • approve_time_offboolean required

        Team leads can approve time off for team members

      • approve_manual_timeboolean required

        Team leads can approve manual time added for team members

      • receive_manual_time_notificationboolean required

        Only team leads receive manual time notifications. Requires approve_manual_time enabled.

      • notifications_for_time_off_only_leadsboolean required

        Only team leads receive time off notifications. Requires approve_time_off enabled.

      • schedule_shiftsboolean required

        Team leads can schedule shifts for team members

      • notifications_for_schedules_only_leadsboolean required

        Only team leads receive notifications for shifts. Requires schedule_shifts enabled.

      • notifications_for_limitsboolean required

        Team leads receive weekly and daily limit notifications for team members

      • notifications_for_limits_only_leadsboolean required

        Team lead only receive weekly and daily limit notifications. Requires notifications_for_limits enabled.

      • notifications_work_breaksboolean required

        Team leads receive work break notifications for team members

      • notifications_work_breaks_only_leadsboolean required

        Only team leads receive work break notifications. Requires notifications_work_breaks enabled.

      • manage_team_projectsboolean required

        Team leads can create team projects

      • manage_team_membersboolean required

        Team leads can edit members and their roles

      • invite_members_to_organizationboolean required

        Team leads can invite new members to the organization

      • notifications_for_job_sitesboolean required

        Team leads receive job site notifications

      • notifications_for_job_sites_only_leadsboolean required

        Only team leads receive job site notifications. Requires notifications_for_job_sites enabled.

      • others_screenshotsboolean required

        View screenshots/activities for other members

      • manage_billingboolean required

        Manage financials

Example response
json
{
  "team": {
    "id": 0,
    "name": "string",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z",
    "metadata": {},
    "lead_options": {
      "approve_timesheets": false,
      "notifications_for_timesheets_only_leads": false,
      "approve_time_off": false,
      "approve_manual_time": false,
      "receive_manual_time_notification": false,
      "notifications_for_time_off_only_leads": false,
      "schedule_shifts": false,
      "notifications_for_schedules_only_leads": false,
      "notifications_for_limits": false,
      "notifications_for_limits_only_leads": false,
      "notifications_work_breaks": false,
      "notifications_work_breaks_only_leads": false,
      "manage_team_projects": false,
      "manage_team_members": false,
      "invite_members_to_organization": false,
      "notifications_for_job_sites": false,
      "notifications_for_job_sites_only_leads": false,
      "others_screenshots": false,
      "manage_billing": false
    }
  }
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

Get team

GET/v2/teams/{team_id}

Returns the team with the given ID.

Parameters

NameInTypeDescription
team_idrequired
pathinteger (int32)
Team ID

Responses

200A team
object
  • teamobject
    object

    Team model

    • idinteger required

      Team ID

    • namestring required

      Team name

    • created_atstring required

      When the record was created

    • updated_atstring required

      When the record was last updated

    • metadataobject required

      Metadata attached to the team

      object

      Metadata attached to the team

    • lead_optionsobject

      Lead options

      object

      Lead options

      • approve_timesheetsboolean required

        Team leads can approve timesheets for team members

      • notifications_for_timesheets_only_leadsboolean required

        Only team leeds receive timesheet notifications. Requires approve_timesheets enabled.

      • approve_time_offboolean required

        Team leads can approve time off for team members

      • approve_manual_timeboolean required

        Team leads can approve manual time added for team members

      • receive_manual_time_notificationboolean required

        Only team leads receive manual time notifications. Requires approve_manual_time enabled.

      • notifications_for_time_off_only_leadsboolean required

        Only team leads receive time off notifications. Requires approve_time_off enabled.

      • schedule_shiftsboolean required

        Team leads can schedule shifts for team members

      • notifications_for_schedules_only_leadsboolean required

        Only team leads receive notifications for shifts. Requires schedule_shifts enabled.

      • notifications_for_limitsboolean required

        Team leads receive weekly and daily limit notifications for team members

      • notifications_for_limits_only_leadsboolean required

        Team lead only receive weekly and daily limit notifications. Requires notifications_for_limits enabled.

      • notifications_work_breaksboolean required

        Team leads receive work break notifications for team members

      • notifications_work_breaks_only_leadsboolean required

        Only team leads receive work break notifications. Requires notifications_work_breaks enabled.

      • manage_team_projectsboolean required

        Team leads can create team projects

      • manage_team_membersboolean required

        Team leads can edit members and their roles

      • invite_members_to_organizationboolean required

        Team leads can invite new members to the organization

      • notifications_for_job_sitesboolean required

        Team leads receive job site notifications

      • notifications_for_job_sites_only_leadsboolean required

        Only team leads receive job site notifications. Requires notifications_for_job_sites enabled.

      • others_screenshotsboolean required

        View screenshots/activities for other members

      • manage_billingboolean required

        Manage financials

Example response
json
{
  "team": {
    "id": 0,
    "name": "string",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z",
    "metadata": {},
    "lead_options": {
      "approve_timesheets": false,
      "notifications_for_timesheets_only_leads": false,
      "approve_time_off": false,
      "approve_manual_time": false,
      "receive_manual_time_notification": false,
      "notifications_for_time_off_only_leads": false,
      "schedule_shifts": false,
      "notifications_for_schedules_only_leads": false,
      "notifications_for_limits": false,
      "notifications_for_limits_only_leads": false,
      "notifications_work_breaks": false,
      "notifications_work_breaks_only_leads": false,
      "manage_team_projects": false,
      "manage_team_members": false,
      "invite_members_to_organization": false,
      "notifications_for_job_sites": false,
      "notifications_for_job_sites_only_leads": false,
      "others_screenshots": false,
      "manage_billing": false
    }
  }
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

Update team

PUT/v2/teams/{team_id}

Updates a team.

Returns the updated team.

Only pass in the fields you want to change. Only organization owners or managers can update team details.

Parameters

NameInTypeDescription
team_idrequired
pathinteger (int32)
Team ID

Request body

object

Update team

  • namestring

    The new name of the team

  • lead_optionsobject
    object
    • approve_timesheetsboolean

      Team leads can approve timesheets for team members

    • notifications_for_timesheets_only_leadsboolean

      Only team leeds receive timesheet notifications. Requires approve_timesheets enabled.

    • approve_time_offboolean

      Team leads can approve time off for team members

    • approve_manual_timeboolean

      Team leads can approve manual time added for team members

    • receive_manual_time_notificationboolean

      Only team leads receive manual time notifications. Requires approve_manual_time enabled.

    • notifications_for_time_off_only_leadsboolean

      Only team leads receive time off notifications. Requires approve_time_off enabled.

    • schedule_shiftsboolean

      Team leads can schedule shifts for team members

    • notifications_for_schedules_only_leadsboolean

      Only team leads receive notifications for shifts. Requires schedule_shifts enabled.

    • notifications_for_limitsboolean

      Team leads receive weekly and daily limit notifications for team members

    • notifications_for_limits_only_leadsboolean

      Team lead only receive weekly and daily limit notifications. Requires notifications_for_limits enabled.

    • notifications_work_breaksboolean

      Team leads receive work break notifications for team members

    • notifications_work_breaks_only_leadsboolean

      Only team leads receive work break notifications. Requires notifications_work_breaks enabled.

    • manage_team_projectsboolean

      Team leads can create team projects

    • manage_team_membersboolean

      Team leads can edit members and their roles

    • invite_members_to_organizationboolean

      Team leads can invite new members to the organization

    • notifications_for_job_sitesboolean

      Team leads receive job site notifications

    • notifications_for_job_sites_only_leadsboolean

      Only team leads receive job site notifications. Requires notifications_for_job_sites enabled.

    • others_screenshotsboolean

      View screenshots/activities for other members

    • manage_billingboolean

      Manage financials

Responses

200A team
object
  • teamobject
    object

    Team model

    • idinteger required

      Team ID

    • namestring required

      Team name

    • created_atstring required

      When the record was created

    • updated_atstring required

      When the record was last updated

    • metadataobject required

      Metadata attached to the team

      object

      Metadata attached to the team

    • lead_optionsobject

      Lead options

      object

      Lead options

      • approve_timesheetsboolean required

        Team leads can approve timesheets for team members

      • notifications_for_timesheets_only_leadsboolean required

        Only team leeds receive timesheet notifications. Requires approve_timesheets enabled.

      • approve_time_offboolean required

        Team leads can approve time off for team members

      • approve_manual_timeboolean required

        Team leads can approve manual time added for team members

      • receive_manual_time_notificationboolean required

        Only team leads receive manual time notifications. Requires approve_manual_time enabled.

      • notifications_for_time_off_only_leadsboolean required

        Only team leads receive time off notifications. Requires approve_time_off enabled.

      • schedule_shiftsboolean required

        Team leads can schedule shifts for team members

      • notifications_for_schedules_only_leadsboolean required

        Only team leads receive notifications for shifts. Requires schedule_shifts enabled.

      • notifications_for_limitsboolean required

        Team leads receive weekly and daily limit notifications for team members

      • notifications_for_limits_only_leadsboolean required

        Team lead only receive weekly and daily limit notifications. Requires notifications_for_limits enabled.

      • notifications_work_breaksboolean required

        Team leads receive work break notifications for team members

      • notifications_work_breaks_only_leadsboolean required

        Only team leads receive work break notifications. Requires notifications_work_breaks enabled.

      • manage_team_projectsboolean required

        Team leads can create team projects

      • manage_team_membersboolean required

        Team leads can edit members and their roles

      • invite_members_to_organizationboolean required

        Team leads can invite new members to the organization

      • notifications_for_job_sitesboolean required

        Team leads receive job site notifications

      • notifications_for_job_sites_only_leadsboolean required

        Only team leads receive job site notifications. Requires notifications_for_job_sites enabled.

      • others_screenshotsboolean required

        View screenshots/activities for other members

      • manage_billingboolean required

        Manage financials

Example response
json
{
  "team": {
    "id": 0,
    "name": "string",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z",
    "metadata": {},
    "lead_options": {
      "approve_timesheets": false,
      "notifications_for_timesheets_only_leads": false,
      "approve_time_off": false,
      "approve_manual_time": false,
      "receive_manual_time_notification": false,
      "notifications_for_time_off_only_leads": false,
      "schedule_shifts": false,
      "notifications_for_schedules_only_leads": false,
      "notifications_for_limits": false,
      "notifications_for_limits_only_leads": false,
      "notifications_work_breaks": false,
      "notifications_work_breaks_only_leads": false,
      "manage_team_projects": false,
      "manage_team_members": false,
      "invite_members_to_organization": false,
      "notifications_for_job_sites": false,
      "notifications_for_job_sites_only_leads": false,
      "others_screenshots": false,
      "manage_billing": false
    }
  }
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

Delete team

DELETE/v2/teams/{team_id}

Deletes a team.

Note: SCIM-managed teams cannot be deleted.

Parameters

NameInTypeDescription
team_idrequired
pathinteger (int32)
Team ID

Responses

204Team successfully deleted
object
  • teamobject
    object

    Team model

    • idinteger required

      Team ID

    • namestring required

      Team name

    • created_atstring required

      When the record was created

    • updated_atstring required

      When the record was last updated

    • metadataobject required

      Metadata attached to the team

      object

      Metadata attached to the team

    • lead_optionsobject

      Lead options

      object

      Lead options

      • approve_timesheetsboolean required

        Team leads can approve timesheets for team members

      • notifications_for_timesheets_only_leadsboolean required

        Only team leeds receive timesheet notifications. Requires approve_timesheets enabled.

      • approve_time_offboolean required

        Team leads can approve time off for team members

      • approve_manual_timeboolean required

        Team leads can approve manual time added for team members

      • receive_manual_time_notificationboolean required

        Only team leads receive manual time notifications. Requires approve_manual_time enabled.

      • notifications_for_time_off_only_leadsboolean required

        Only team leads receive time off notifications. Requires approve_time_off enabled.

      • schedule_shiftsboolean required

        Team leads can schedule shifts for team members

      • notifications_for_schedules_only_leadsboolean required

        Only team leads receive notifications for shifts. Requires schedule_shifts enabled.

      • notifications_for_limitsboolean required

        Team leads receive weekly and daily limit notifications for team members

      • notifications_for_limits_only_leadsboolean required

        Team lead only receive weekly and daily limit notifications. Requires notifications_for_limits enabled.

      • notifications_work_breaksboolean required

        Team leads receive work break notifications for team members

      • notifications_work_breaks_only_leadsboolean required

        Only team leads receive work break notifications. Requires notifications_work_breaks enabled.

      • manage_team_projectsboolean required

        Team leads can create team projects

      • manage_team_membersboolean required

        Team leads can edit members and their roles

      • invite_members_to_organizationboolean required

        Team leads can invite new members to the organization

      • notifications_for_job_sitesboolean required

        Team leads receive job site notifications

      • notifications_for_job_sites_only_leadsboolean required

        Only team leads receive job site notifications. Requires notifications_for_job_sites enabled.

      • others_screenshotsboolean required

        View screenshots/activities for other members

      • manage_billingboolean required

        Manage financials

Example response
json
{
  "team": {
    "id": 0,
    "name": "string",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z",
    "metadata": {},
    "lead_options": {
      "approve_timesheets": false,
      "notifications_for_timesheets_only_leads": false,
      "approve_time_off": false,
      "approve_manual_time": false,
      "receive_manual_time_notification": false,
      "notifications_for_time_off_only_leads": false,
      "schedule_shifts": false,
      "notifications_for_schedules_only_leads": false,
      "notifications_for_limits": false,
      "notifications_for_limits_only_leads": false,
      "notifications_work_breaks": false,
      "notifications_work_breaks_only_leads": false,
      "manage_team_projects": false,
      "manage_team_members": false,
      "invite_members_to_organization": false,
      "notifications_for_job_sites": false,
      "notifications_for_job_sites_only_leads": false,
      "others_screenshots": false,
      "manage_billing": false
    }
  }
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

List team projects

GET/v2/teams/{team_id}/projects

Returns a collection of projects for the given team.

Parameters

NameInTypeDescription
team_idrequired
pathinteger (int32)
Team ID
page_start_id
queryinteger (int32)
The page start ID.
page_limit
queryinteger (int32)
The default page size
include
queryarray string[]
Specify related data to side load.
Possible valuesprojects

Responses

200A list of projects
object
  • team_projectsarray
    array<object>
    items
    object

    TeamProject model

    • project_idinteger required

      Project ID

    • created_atstring required

      When the record was created

    • updated_atstring required

      When the record was last updated

Example response
json
{
  "team_projects": [
    {
      "project_id": 0,
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z"
    }
  ]
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

Update team projects

PUT/v2/teams/{team_id}/update_projects

Updates team projects.

Returns {success: true} on success.

After adding or removing projects, member roles in those projects are updated based on team membership.

Parameters

NameInTypeDescription
team_idrequired
pathinteger (int32)
Team ID

Request body

object

Update team projects

  • projectsarray required
    array<object>
    items
    object
    • project_idinteger required

      List of project to add to the team

    • removeboolean

      If true then remove the project instead of adding it

Responses

200Updated successfully
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

Update team metadata

PUT/v2/teams/{team_id}/update_metadata

Updates metadata on the team.

Returns the updated team.

Only specify the metadata keys you want to change. If the metadata key does not exist, it will be created. To remove a key, specify null as the value.

Key requirements:

  • 2-30 characters
  • Lowercase letters, numbers, and underscores only

Value requirements:

  • Valid UTF-8 string
  • Maximum 200 characters

Parameters

NameInTypeDescription
team_idrequired
pathinteger (int32)
Team ID

Request body

object

Update team metadata

  • metadataarray required
    array<object>
    items
    object
    • keystring required

      The metadata key

    • valuestring required

      The value for the metadata key

Responses

200A team
object
  • teamobject
    object

    Team model

    • idinteger required

      Team ID

    • namestring required

      Team name

    • created_atstring required

      When the record was created

    • updated_atstring required

      When the record was last updated

    • metadataobject required

      Metadata attached to the team

      object

      Metadata attached to the team

    • lead_optionsobject

      Lead options

      object

      Lead options

      • approve_timesheetsboolean required

        Team leads can approve timesheets for team members

      • notifications_for_timesheets_only_leadsboolean required

        Only team leeds receive timesheet notifications. Requires approve_timesheets enabled.

      • approve_time_offboolean required

        Team leads can approve time off for team members

      • approve_manual_timeboolean required

        Team leads can approve manual time added for team members

      • receive_manual_time_notificationboolean required

        Only team leads receive manual time notifications. Requires approve_manual_time enabled.

      • notifications_for_time_off_only_leadsboolean required

        Only team leads receive time off notifications. Requires approve_time_off enabled.

      • schedule_shiftsboolean required

        Team leads can schedule shifts for team members

      • notifications_for_schedules_only_leadsboolean required

        Only team leads receive notifications for shifts. Requires schedule_shifts enabled.

      • notifications_for_limitsboolean required

        Team leads receive weekly and daily limit notifications for team members

      • notifications_for_limits_only_leadsboolean required

        Team lead only receive weekly and daily limit notifications. Requires notifications_for_limits enabled.

      • notifications_work_breaksboolean required

        Team leads receive work break notifications for team members

      • notifications_work_breaks_only_leadsboolean required

        Only team leads receive work break notifications. Requires notifications_work_breaks enabled.

      • manage_team_projectsboolean required

        Team leads can create team projects

      • manage_team_membersboolean required

        Team leads can edit members and their roles

      • invite_members_to_organizationboolean required

        Team leads can invite new members to the organization

      • notifications_for_job_sitesboolean required

        Team leads receive job site notifications

      • notifications_for_job_sites_only_leadsboolean required

        Only team leads receive job site notifications. Requires notifications_for_job_sites enabled.

      • others_screenshotsboolean required

        View screenshots/activities for other members

      • manage_billingboolean required

        Manage financials

Example response
json
{
  "team": {
    "id": 0,
    "name": "string",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z",
    "metadata": {},
    "lead_options": {
      "approve_timesheets": false,
      "notifications_for_timesheets_only_leads": false,
      "approve_time_off": false,
      "approve_manual_time": false,
      "receive_manual_time_notification": false,
      "notifications_for_time_off_only_leads": false,
      "schedule_shifts": false,
      "notifications_for_schedules_only_leads": false,
      "notifications_for_limits": false,
      "notifications_for_limits_only_leads": false,
      "notifications_work_breaks": false,
      "notifications_work_breaks_only_leads": false,
      "manage_team_projects": false,
      "manage_team_members": false,
      "invite_members_to_organization": false,
      "notifications_for_job_sites": false,
      "notifications_for_job_sites_only_leads": false,
      "others_screenshots": false,
      "manage_billing": false
    }
  }
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}